<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div>
    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      :id="id"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <div class="nt_modal-title" v-if="title">{{ title }}</div>
            <div class="nt_modal-content" v-html="content"></div>
          </div>
          <div class="modal-footer">
            <button
              v-if="showButton.cancel"
              type="button"
              class="nt-button"
              :class="{'nt-button-secondary': showButton.confirm, 'nt-button-warning': !showButton.confirm}"
              data-dismiss="modal"
              @click="cancel"
            >{{ cancelText }}</button>
            <button
              v-if="showButton.confirm"
              type="button"
              class="nt-button nt-button-warning nt-button-modal"
              data-dismiss="modal"
              style="margin-right: 0"
              @click="submit"
            >{{ confirmText }}</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>